XKBCLI(1)

NAME
xkbcli - tool to interact with X Keyboard keymaps

SYNOPSIS
xkbcli command [arguments]
xkbcli [--help | --version]

DESCRIPTION
xkbcli is a commandline tool to query, compile and test XKB keymaps, layouts and other elements.

--help
    Print help and exit

--version
    Print the version and exit

  COMMANDS

info
    Print information about libxkbcommon configuration

compile-keymap
    Compile an XKB keymap, see xkbcli-compile-keymap(1)

compile-compose
    Compile a compose file, see xkbcli-compile-compose(1)

how-to-type
    Show how to type a given Unicode codepoint, see xkbcli-how-to-type(1)

interactive
    Interactive debugger for XKB keymaps that automatically select from the following backends, if available: Wayland, X11 and evdev. See the corresponding entries hereinafter.

interactive-evdev
    Interactive debugger for XKB keymaps for evdev, see xkbcli-interactive-evdev(1)

interactive-wayland
    Interactive debugger for XKB keymaps for Wayland, see xkbcli-interactive-wayland(1)

interactive-x11
    Interactive debugger for XKB keymaps for X11, see xkbcli-interactive-x11(1)

dump-keymap
    Dump an XKB keymap from a Wayland or X11 compositor, see the corresponding entries hereinafter.

dump-keymap-wayland
    Dump an XKB keymap from a Wayland compositor, see xkbcli-dump-keymap-wayland(1)

dump-keymap-x11
    Dump an XKB keymap from an X server, see xkbcli-dump-keymap-x11(1)

list
    List available layouts and more, see xkbcli-list(1)

Note that not all tools may be available on your system.

EXIT STATUS
0   exited successfully
1   an error occured
2   program was called with invalid arguments

SEE ALSO
The libxkbcommon online documentation: https://xkbcommon.org